Subject: Re: linux-next: Tree for July 4 (misc/pti)

From: J Freyensee <[email-masked]>
Date: Fri, 08 Jul 2011 14:24:12 -0700

On 07/08/2011 01:07 PM, Geert Uytterhoeven wrote:
> On Thu, Jul 7, 2011 at 18:32, Randy Dunlap<[email-masked]>  wrote:
>> On Thu, 07 Jul 2011 09:29:59 -0700 J Freyensee wrote:
>>> On 07/07/2011 08:14 AM, Randy Dunlap wrote:
>>>> On Mon, 4 Jul 2011 13:45:41 -0700 Randy Dunlap wrote:
>>>>> On Mon, 4 Jul 2011 17:09:52 +1000 Stephen Rothwell wrote:
>>>>>> Changes since 20110701:
>>>>> when CONFIG_PCI is not enabled:
>>>>>
>>>>> drivers/misc/pti.c:410: error: implicit declaration of function 'pci_release_region'
>>>>> drivers/misc/pti.c:859: error: implicit declaration of function 'pci_request_region'
>>>>>
>>>>> Stubs for these 2 functions could be added to include/linux/pci.h, but it would
>>>>> make more sense to me just to make the driver depend on PCI since it seems to rely
>>>>> on so many PCI functions.  or are the PCI pieces optional?
>>>> ping.  still a problem in linux-next 20110706.
>>> Thanks for the ping.
>>>
>>> Is there something you need me to do or look at?
>>>
>>> For Intel-Atom architectures, the MIPI PTI module does sit on the PCI
>>> bus.  It's very much dependent upon the PCI bus for working
>>> functionality and it's not optional.  So yes, it makes sense for the
>>> driver to depend on PCI to be there and if PCI is not enabled on the
>>> system, don't build the pti driver.
>>>
>>> Maybe it's a Kconfig dependency?
>> Yes, please send/merge a patch that adds
>>         depends on PCI
>> to "config INTEL_MID_PCI".
> http://kisskb.ellerman.id.au/kisskb/buildresult/4292241/:
I can't access that http site (with or without the ':').

> drivers/misc/pti.c:249: error: implicit declaration of function 'kmalloc'
> drivers/misc/pti.c:258: error: implicit declaration of function 'kfree'
> drivers/misc/pti.c:657: error: implicit declaration of function 'copy_from_user'
> drivers/misc/pti.c:848: error: implicit declaration of function 'kzalloc'
>
> Probably missing

>
> #include<linux/slab.h>
> #include<linux/uaccess.h>

I can send a patch to add these two includes.  It didn't have previous 
troubles compiling, so maybe one of the other includes used to be 
including these?

>
> Gr{oetje,eeting}s,
>
>                          Geert
>
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
>
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                  -- Linus Torvalds